# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`firebird`](#firebird): Installs a firebird server
* [`firebird::config`](#firebirdconfig): configure firebird server
* [`firebird::install`](#firebirdinstall): Installs firebird server
* [`firebird::service`](#firebirdservice): Manage firebird service

## Classes

### <a name="firebird"></a>`firebird`

Installs a firebird server

#### Parameters

The following parameters are available in the `firebird` class:

* [`service_name`](#service_name)
* [`config_path`](#config_path)
* [`user`](#user)
* [`group`](#group)
* [`package_name`](#package_name)
* [`version`](#version)
* [`config`](#config)
* [`manage_package`](#manage_package)
* [`manage_service`](#manage_service)

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

Name of the service

##### <a name="config_path"></a>`config_path`

Data type: `String[1]`

Path to configuration

##### <a name="user"></a>`user`

Data type: `String[1]`

User/Owner of the firebird configuration

##### <a name="group"></a>`group`

Data type: `String[1]`

User/Owner of the firebird configuration

##### <a name="package_name"></a>`package_name`

Data type: `String[1]`

Name of the firebird package to install

##### <a name="version"></a>`version`

Data type: `String[1]`

package version should be used

##### <a name="config"></a>`config`

Data type: `Hash`

configuration hash

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`

manage package installation

Default value: ``true``

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

should the firebird service be managed

Default value: ``true``

### <a name="firebirdconfig"></a>`firebird::config`

configure firebird server

#### Parameters

The following parameters are available in the `firebird::config` class:

* [`config_path`](#config_path)
* [`service_name`](#service_name)
* [`user`](#user)
* [`group`](#group)
* [`config`](#config)
* [`manage_service`](#manage_service)

##### <a name="config_path"></a>`config_path`

Data type: `String[1]`

Path to configuration

Default value: `$firebird::config_path`

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

Name of the service

Default value: `$firebird::service_name`

##### <a name="user"></a>`user`

Data type: `String[1]`

User/Owner of the firebird configuration

Default value: `$firebird::user`

##### <a name="group"></a>`group`

Data type: `String[1]`

User/Owner of the firebird configuration

Default value: `$firebird::group`

##### <a name="config"></a>`config`

Data type: `Hash`

configuration hash

Default value: `$firebird::config`

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

should the firebird service be notified for a restart

Default value: `$firebird::manage_service`

### <a name="firebirdinstall"></a>`firebird::install`

Installs firebird server

#### Parameters

The following parameters are available in the `firebird::install` class:

* [`package_name`](#package_name)
* [`version`](#version)

##### <a name="package_name"></a>`package_name`

Data type: `String`

Firebird package_name which should be installed

Default value: `$firebird::package_name`

##### <a name="version"></a>`version`

Data type: `String`

package version should be used

Default value: `$firebird::version`

### <a name="firebirdservice"></a>`firebird::service`

Manage firebird service

#### Parameters

The following parameters are available in the `firebird::service` class:

* [`service_name`](#service_name)

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

Name of the firebird service

Default value: `$firebird::service_name`

